Start Experiment

POST
/api/v1/experiments/{experimentId}/start

Path Parameters

experimentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/experiments/string/start"
{  "archivedAt": "string",  "backingFlag": {    "enabled": true,    "id": "string",    "key": "string",    "rolloutBps": 0  },  "createdAt": "string",  "createdByUserId": "string",  "description": "string",  "endedAt": "string",  "featureFlagId": "string",  "hypothesis": "string",  "id": "string",  "name": "string",  "primaryMetricEventName": "string",  "projectId": "string",  "secondaryMetricEventNames": [    "string"  ],  "startedAt": "string",  "status": "draft",  "treatments": [    {      "archivedAt": "string",      "config": null,      "createdAt": "string",      "experimentId": "string",      "id": "string",      "treatmentType": "string",      "updatedAt": "string",      "variantId": "string"    }  ],  "updatedAt": "string",  "updatedByUserId": "string",  "variants": [    {      "archivedAt": "string",      "createdAt": "string",      "experimentId": "string",      "id": "string",      "isControl": true,      "name": "string",      "updatedAt": "string",      "weightBps": 0    }  ],  "version": 0,  "winningVariantId": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ExperimentNotFoundError",  "experimentId": "string"}
{  "_tag": "Api/ExperimentConflictError",  "message": "string"}
{  "_tag": "Api/ExperimentServiceError",  "cause": "string"}